<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/object_info_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/03/84  object_info_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>The object_info_ subroutine returns structural and identifying
<span id="L4" class="LineNr"> 4 </span>information extracted from an object segment.  It has three entry
<span id="L5" class="LineNr"> 5 </span>points returning progressively larger amounts of information.
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>Entry points in object_info_:
<span id="L9" class="LineNr"> 9 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>
<span id="L12" class="LineNr">12 </span>:Entry:  brief:  02/03/84 object_info_$brief
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>Function:  This entry point returns only the structural information
<span id="L16" class="LineNr">16 </span>necessary to locate the object's major sections.
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>
<span id="L19" class="LineNr">19 </span>Syntax:
<span id="L20" class="LineNr">20 </span>declare object_info_$brief entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>24<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L21" class="LineNr">21 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L22" class="LineNr">22 </span>call object_info_$brief <span class="textRainbow_lv0_p0">(</span>seg_ptr<span class="textRainbow_lv0_o0">,</span> bc<span class="textRainbow_lv0_o0">,</span> info_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr">23 </span>
<span id="L24" class="LineNr">24 </span>
<span id="L25" class="LineNr">25 </span>Arguments:
<span id="L26" class="LineNr">26 </span>seg_ptr
<span id="L27" class="LineNr">27 </span>   is a pointer to the base of the object segment.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L28" class="LineNr">28 </span>bc
<span id="L29" class="LineNr">29 </span>   is the bit count of the object segment.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L30" class="LineNr">30 </span>info_ptr
<span id="L31" class="LineNr">31 </span>   is a pointer to the object_info structure in which the object
<span id="L32" class="LineNr">32 </span>   information is returned.  It is defined in the include file
<span id="L33" class="LineNr">33 </span>   object_info.incl.pl1.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L34" class="LineNr">34 </span>code
<span id="L35" class="LineNr">35 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L36" class="LineNr">36 </span>
<span id="L37" class="LineNr">37 </span>
<span id="L38" class="LineNr">38 </span>:Entry:  display:  02/03/84 object_info_$display
<span id="L39" class="LineNr">39 </span>
<span id="L40" class="LineNr">40 </span>
<span id="L41" class="LineNr">41 </span>Function:  This entry point returns, in addition to the information
<span id="L42" class="LineNr">42 </span>returned in the object_info_$brief entry point, all the identifying
<span id="L43" class="LineNr">43 </span>data required by certain object display commands, such as the
<span id="L44" class="LineNr">44 </span>print_link_info command.
<span id="L45" class="LineNr">45 </span>
<span id="L46" class="LineNr">46 </span>
<span id="L47" class="LineNr">47 </span>Syntax:
<span id="L48" class="LineNr">48 </span>declare object_info_$display entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>24<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L49" class="LineNr">49 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L50" class="LineNr">50 </span>call object_info_$display <span class="textRainbow_lv0_p0">(</span>seg_ptr<span class="textRainbow_lv0_o0">,</span> bc<span class="textRainbow_lv0_o0">,</span> info_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L51" class="LineNr">51 </span>
<span id="L52" class="LineNr">52 </span>
<span id="L53" class="LineNr">53 </span>Arguments:
<span id="L54" class="LineNr">54 </span>seg_ptr
<span id="L55" class="LineNr">55 </span>   is a pointer to the base of the object segment.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L56" class="LineNr">56 </span>bc
<span id="L57" class="LineNr">57 </span>   is the bit count of the object segment.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L58" class="LineNr">58 </span>info_ptr
<span id="L59" class="LineNr">59 </span>   is a pointer to the object_info structure in which the object
<span id="L60" class="LineNr">60 </span>   information is returned.  It is defined in the include file
<span id="L61" class="LineNr">61 </span>   object_info.incl.pl1.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L62" class="LineNr">62 </span>code
<span id="L63" class="LineNr">63 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L64" class="LineNr">64 </span>
<span id="L65" class="LineNr">65 </span>
<span id="L66" class="LineNr">66 </span>:Entry:  long:  02/03/84 object_info_$long
<span id="L67" class="LineNr">67 </span>
<span id="L68" class="LineNr">68 </span>
<span id="L69" class="LineNr">69 </span>Function:  This entry point returns, in addition to the information
<span id="L70" class="LineNr">70 </span>supplied by the object_info_$display entry point, the data required by
<span id="L71" class="LineNr">71 </span>the Multics binder.
<span id="L72" class="LineNr">72 </span>
<span id="L73" class="LineNr">73 </span>
<span id="L74" class="LineNr">74 </span>Syntax:
<span id="L75" class="LineNr">75 </span>declare object_info_$long entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>24<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L76" class="LineNr">76 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L77" class="LineNr">77 </span>call object_info_$long <span class="textRainbow_lv0_p0">(</span>seg_ptr<span class="textRainbow_lv0_o0">,</span> bc<span class="textRainbow_lv0_o0">,</span> info_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L78" class="LineNr">78 </span>
<span id="L79" class="LineNr">79 </span>
<span id="L80" class="LineNr">80 </span>Arguments:
<span id="L81" class="LineNr">81 </span>seg_ptr
<span id="L82" class="LineNr">82 </span>   is a pointer to the base of the object segment.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L83" class="LineNr">83 </span>bc
<span id="L84" class="LineNr">84 </span>   is the bit count of the object segment.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L85" class="LineNr">85 </span>info_ptr
<span id="L86" class="LineNr">86 </span>   is a pointer to the object_info structure in which the object
<span id="L87" class="LineNr">87 </span>   information is returned.  It is defined in the include file
<span id="L88" class="LineNr">88 </span>   object_info.incl.pl1.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L89" class="LineNr">89 </span>code
<span id="L90" class="LineNr">90 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
